[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.AutoRegisterMessageFile

Automatically register the message file

## Declaration

Source position: daemonapp.pp line 406

`public property TCustomDaemonApplication.AutoRegisterMessageFile : Boolean read FAutoRegisterMessageFile write FAutoRegisterMessageFile default True;`

## Description

AutoRegisterMessageFile can be set to True to automatically register the service binary as the source of resource strings for the event viewer.

The event log mechanism uses several resource strings in the fclel.res file. These resource strings must be registered in the windows event viewer. Setting this property to True takes case of this registration when the program is started.